aboutsummaryrefslogtreecommitdiff
path: root/apps
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 21:48:12 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 21:48:12 +0000
commita3a9cf84933a21148597c1cf8565f9ea4ffd928a (patch)
tree127ff1484d2ecec1144fdea6513e7da53aeca004 /apps
parent59fd7cab25c7ebf4b4c2d22ca2e6976adeaeadbb (diff)
downloadslackbuilds-a3a9cf84933a21148597c1cf8565f9ea4ffd928a.tar.gz
slackbuilds-a3a9cf84933a21148597c1cf8565f9ea4ffd928a.tar.bz2
movendo...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@658 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'apps')
-rwxr-xr-xapps/arch/arc/arc.SlackBuild101
1 files changed, 101 insertions, 0 deletions
diff --git a/apps/arch/arc/arc.SlackBuild b/apps/arch/arc/arc.SlackBuild
new file mode 100755
index 00000000..ff0f3ab8
--- /dev/null
+++ b/apps/arch/arc/arc.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/bash
+#
+# slackbuild script for arc
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="arc"
+VERSION=${VERSION:=5.21o}
+ARCH=${ARCH:=i486}
+BUILD=${BUILD:=1rha}
+TMP=${TMP:=tmp}
+SRC_DIR=${SRC:=$CWD}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="tgz"
+SRC="$PACKAGE-$VERSION.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/arc/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+make || exit 32
+strip --strip-unneeded arc
+
+CWD="`pwd`"
+
+mkdir -p $TMP/package-$PACKAGE
+cd $TMP/package-$PACKAGE
+
+mkdir -p usr/bin
+cp $CWD/arc usr/bin
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+arc: arc (creation and maintenance of file archives)
+arc:
+arc: ARC is used to create and maintain file archives. An archive is a
+arc: group of files collected together into one file in such a way that
+arc: the individual files may be recovered intact.
+arc:
+arc:
+arc:
+arc:
+arc:
+arc:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in Arc521.doc Arcinfo COPYING Changelog LICENSE PATCHLEVEL Readme Sysvarcstuf; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+